.section-hero {
    width: 100%;
    height: 100%;
    overflow: hidden;
    position: relative;
    background-color: $black;

    .container {
        &__fluid {
            height: 100%;
        }
    }

    &__background {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;

        background-size: cover;
        background-position-y: 0%;
        background-position-x: 50%;
        background-repeat: no-repeat;
        background-position: center top;
        // animation: heroBackgroundZoomIn 10s forwards;
    }

    &__overlay {
        bottom: unset;
        top: 20vh;
        left: -2%;
        opacity: 0;
        color: $white;
        font-size: 32.5vw;
        font-weight: 700;
        user-select: none;
        position: absolute;
        width: 10em;
        height: 150vh;
        writing-mode: vertical-lr;

        &--remove {
            animation: hideHeroOverlay 0.5s both;
        }

        &--show {
            animation: showHeroOverlay 1s both;
        }

        @media (min-width: $lg) {
            font-size: 30vw;
            height: unset;
            top: unset;
            left: 2vw;
            bottom: -5vw;
            writing-mode: horizontal-tb;
        }
    }

    &__heading {
        left: 0;
        bottom: 10vw;
        color: $white;
        font-weight: 700;
        font-size: 16vw;
        user-select: none;
        position: absolute;

        @media (min-width: $md) {
            font-size: 12.5vw;
        }

        @media (min-width: $lg) {
            bottom: 5vw;
            left: 3vw;
            font-size: 10vw;
        }
    }

    &__heading-caret {
        border-right: 2px solid;
        animation: heroCaret 1s steps(1) infinite;
    }

    .scroll {
        width: 1em;
        bottom: 7%;
        right: 0.55em;
        height: 10em;
        position: absolute;
        animation-name: fadeInRight;
        display: none;

        @media (min-width: $sm) {
            height: 19em;
            bottom: 10%;
            display: block;
        }

        &__name {
            bottom: 0;
            color: $white;
            position: absolute;
            font-size: 0.75rem;
            text-transform: uppercase;
            writing-mode: vertical-rl;

            @media (min-width: $sm) {
                font-size: 1rem;
            }
        }

        &__arrow {
            left: 50%;
            width: 1px;
            height: 3.5em;
            position: absolute;
            background-color: $white;
            animation: 2s heroGrowScrollArrow forwards infinite;
        }
    }

    .social {
        right: 0;
        top: 35vh;
        display: flex;
        position: absolute;
        flex-direction: column;
        @extend .fadeInRight;

        &__icon {
            margin-bottom: 0.5em;
        }
    }
}
